This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 169631 - (arts) gaim crashes: complains about mcop directory/lnusertemp
(arts) gaim crashes: complains about mcop directory/lnusertemp
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: arts (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
: 170464 174841 174933 175001 176081 176082 176132 176241 176368 (view as bug list)
Depends On:
Blocks: 171491 FC5Blocker
  Show dependency treegraph
 
Reported: 2005-09-30 10:11 EDT by Tom London
Modified: 2007-11-30 17:11 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-21 12:41:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom London 2005-09-30 10:11:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b4) Gecko/20050915 Fedora/1.5-0.5.0.beta1 Firefox/1.4

Description of problem:
Starting yesterday, gaim has become unstable, crashing on first message send, or crashing after about 30-60 seconds of running.

Running with 'gaim -d' produces this just before crashing:

sh: lnusertemp: command not found
can't create mcop directory
dns[3938]: Oops, father has gone, wait for me, wait...!
dns[3937]: Oops, father has gone, wait for me, wait...!


Version-Release number of selected component (if applicable):
gaim-1.5.0-6.fc5

How reproducible:
Always

Steps to Reproduce:
1. start gaim
2.
3.
  

Additional info:
Comment 1 Luke Schierer 2005-09-30 10:36:33 EDT
please get a backtrace as per gaim.sf.net/gdb.php

also, what protocol(s) do you use?
Comment 2 Tom London 2005-09-30 11:05:43 EDT
here is the output from gdb (no crash, so no back trace).

(no debugging symbols found)
Detaching after fork from child process 4544.
(no debugging symbols found)
Detaching after fork from child process 4545.
Detaching after fork from child process 4549.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
---Type <return> to continue, or q <return> to quit---
(no debugging symbols found)
Detaching after fork from child process 4554.
sh: lnusertemp: command not found
can't create mcop directory

Program exited with code 01.
(gdb)

I use AIM, Yahoo, and Jabber(goggle), but still 'crashes' if I turn Jabber off.
Comment 3 Tom London 2005-09-30 11:53:23 EDT
Seems to be a problem with the latest arts package (arts-1.4.91-1.i386.rpm).

re-installing arts-1.4.2-1.i386.rpm 'fixes' this problem.

Issue with arts or gaim?
Comment 4 Tom London 2005-09-30 21:27:02 EDT
a bit more.....

'strace gaim' produces this just before it dies.....

open("/home/tbl/.mcoprc", O_RDONLY|O_LARGEFILE) = -1 ENOENT (No such file or
directory)
getuid32()                              = 500
open("/etc/passwd", O_RDONLY)           = 24
fcntl64(24, F_GETFD)                    = 0
fcntl64(24, F_SETFD, FD_CLOEXEC)        = 0
fstat64(24, {st_mode=S_IFREG|0644, st_size=1666, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb411f000
read(24, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 1666
close(24)                               = 0
munmap(0xb411f000, 4096)                = 0
stat64("/home/tbl/.kde", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
uname({sys="Linux", node="tlondon", ...}) = 0
lstat64("/home/tbl/.kde/socket-tlondon", 0xbfbc46ec) = -1 ENOENT (No such file
or directory)
rt_sigaction(SIGINT, {SIG_IGN}, {0xad2c28, [INT], SA_RESTART}, 8) = 0
rt_sigaction(SIGQUIT, {SIG_IGN}, {0xad2c28, [QUIT], SA_RESTART}, 8) = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
clone(sh: lnusertemp: command not found
child_stack=0, flags=CLONE_PARENT_SETTID|SIGCHLD, parent_tidptr=0xbfbc6874) = 5272
waitpid(5272, [{WIFEXITED(s) && WEXITSTATUS(s) == 127}], 0) = 5272
rt_sigaction(SIGINT, {0xad2c28, [INT], SA_RESTART}, NULL, 8) = 0
rt_sigaction(SIGQUIT, {0xad2c28, [QUIT], SA_RESTART}, NULL, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
--- SIGCHLD (Child exited) @ 0 (0) ---
waitpid(-1, 0xbfbc439c, WNOHANG)        = 0
rt_sigaction(SIGCHLD, {0xad2c28, [CHLD], SA_RESTART}, {0xad2c28, [CHLD],
SA_RESTART}, 8) = 0
sigreturn()                             = ? (mask now [])
getuid32()                              = 500
open("/etc/passwd", O_RDONLY)           = 24
fcntl64(24, F_GETFD)                    = 0
fcntl64(24, F_SETFD, FD_CLOEXEC)        = 0
fstat64(24, {st_mode=S_IFREG|0644, st_size=1666, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb411f000
read(24, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 1666
close(24)                               = 0
munmap(0xb411f000, 4096)                = 0
stat64("/home/tbl/.kde", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
uname({sys="Linux", node="tlondon", ...}) = 0
lstat64("/home/tbl/.kde/socket-tlondon", 0xbfbc46ec) = -1 ENOENT (No such file
or directory)
write(2, "can\'t create mcop directory\n", 28can't create mcop directory
) = 28
close(10)                               = 0
close(9)                                = 0
exit_group(1)                           = ?
Process 5265 detached
Comment 5 Warren Togami 2005-10-01 00:58:27 EDT
Than, any idea what is going on here?  This is somehow related to arts when gaim
uses libao in "Automatic" sound output.
Comment 6 Peter Lawler 2005-10-02 02:42:45 EDT
There's an oversight on gaim 1, where you can only really 'mute' sounds via the
system tray plugin, or from within a chat itself. This is addressed in the
upcoming gaim 2, where there's an actual preference for 'no sound'

My personal take is that this is a fault of how FC ships gaim.

I would set the default preference on gaim to console beep, and hope people
install pcspkr module. This would be for those who really think IM needs sound -
as FC can't guarantee which audio subsystem someone's using by 'default' and
whether it's actually working.

Personally, I can't stand IM sounds, so you could set to console beep but
disable sound events.

Hopefully we'll get gstreamer working soon, once my exploding server stops doing
said explosions, I might get a chance.
Comment 7 Peter Lawler 2005-10-02 02:44:11 EDT
BTW yes, the above is an allusion to the upcoming gaim 2.x, and likelyhood of a
1.x fix being very small.
Comment 8 Lars G 2005-10-02 08:02:11 EDT
i have the 
"sh: lnusertemp: command not found
can't create mcop directory"
problem with dosbox from fedora-extras and the new arts.
reverting to an earlier arts package fixed it for me too.
Comment 9 Tom London 2005-10-02 14:25:07 EDT
So is this really a problem with arts? Should this be reassigned?
Comment 10 Warren Togami 2005-10-11 21:14:21 EDT
*** Bug 170464 has been marked as a duplicate of this bug. ***
Comment 11 Ngo Than 2005-10-12 05:14:49 EDT
> i have the "sh: lnusertemp: command not found can't create mcop directory"

I tried to start gaim on my machine, it started without this problem. The above
error looks strange to me! it looks like the lnusertemp binary, which is included
in kdelibs-3.4.91-1, does not exist on your partition!

Could you please check if the /usr/bin/lnusertemp exists ? if not, please install
kdelibs-3.4.91-1 and try again. Thanks
Comment 12 Trever Adams 2005-10-12 06:00:42 EDT
As mentioned in bug 170464 this is exactly the problem, a lack of this binary.
Installing kdelibs fixes the problems.

Gaim (or if it is arts) should be built to depend on kdelibs if it is required.
Comment 13 Luke Schierer 2005-10-12 07:20:33 EDT
Gaim doesn't depend on kdelibs.  Arts does.  Gaim uses libao to play sounds,
providing us with ESD, Arts, alsa, and OSS sound support.  
Comment 14 Ngo Than 2005-10-12 08:13:38 EDT
it's a bug in arts, i will try to fix it. Please install kdelibs as workaround for
this problem. Thanks
Comment 15 Tom London 2005-10-12 09:41:11 EDT
Another workaround is to select ESD as the preferred sound method in gaim. That
way, no need to install kdelibs.
Comment 16 Joachim Frieben 2005-10-30 07:50:33 EST
The same problem affects ppracer-0.3.1-4:

PPRacer 0.3.1 --  http://racer.planetpenguin.de
(c) 2004-2005 The PPRacer team
(c) 1999-2001 Jasmin F. Patry<jfpatry@sunspirestudios.com>
PPRacer comes with ABSOLUTELY NO WARRANTY. This is free software,
and you are welcome to redistribute it under certain conditions.
See http://www.gnu.org/copyleft/gpl.html for details.

sh: lnusertemp: command not found
can't create mcop directory
Comment 17 Ngo Than 2005-11-04 05:59:58 EST
it's now fixed in 1.4.92-2, which will be available in rawhide soon.
Many thanks for your report.
Comment 18 Tom London 2005-11-25 12:30:38 EST
Has this regressed in arts-1.5.0-0.1.rc2?

Get 'silent exits' from gaim again with:
[tbl@tlondon ~]$ gaim
Creating link /home/tbl/.kde/socket-tlondon.
can't create mcop directory
Comment 19 Joachim Frieben 2005-11-25 14:02:46 EST
Right, I have the same problem. "ppracer" aborts immediately:

Creating link /home/ppracer/.kde/socket-tux.
can't create mcop directory
Comment 20 Tom London 2005-11-25 14:21:52 EST
OK.  Reopening....
Comment 21 Trey Earl 2005-11-25 21:12:40 EST
I have fixed this temperarily here...

It is due to Gaim choosing Arts when you set "Method: Automatic" in sound options.

I thought this to be weird due to the fact I don't have any of KDE installed.

I simply set to "Console Beep" and the issue hasn't reoccured.
Comment 22 Trey Earl 2005-11-25 21:15:46 EST
Additional note from last post, I also removed ~/.kde prior to changing the
sound option...
Comment 23 Michel Alexandre Salim 2005-11-27 13:52:35 EST
Adding myself. I'm doing a package review of Stratagus
<http://stratagus.sf.net>, and the build I did under FC4 works fine - the build
under FC5, linked against SDL, produces the mcop error.

lnusertemp is no longer provided by kdelibs, so the suggested workaround cannot
be tried.
Comment 24 Mark Doliner 2005-11-27 14:43:00 EST
When Gaim is set to "automatic" it uses the default audio output device as
determined by libao.  I don't know why libao would choose Arts for you (maybe
you're running the arts sound daemon?), but I wouldn't think Gaim's use of
"automatic" would be the cause of this crash.
Comment 25 Michel Alexandre Salim 2005-11-27 19:44:21 EST
libao defaults to arts.. I don't quite know why myself. Putting

default_driver=alsa09

in ~/.libao fixes it for anything using libao, but not SDL, unfortunately. (Both
stratagus and wesnoth won't start right now).
Comment 26 Michel Alexandre Salim 2005-11-27 19:49:35 EST
For SDL applications, the temporary workaround is to set SDL_AUDIOMIXER in the
environment:

http://www.libsdl.org/faq.php?action=listentries&category=9

The curious thing is, why are both libao and SDL defaulting to arts?
Comment 27 Ngo Than 2005-11-28 08:11:20 EST
The new arts-1.5.0-0.1.rc2 does not use lnusertemp to create mcop director, 
now i has own function to do that. 
 
It will fix this problem for you if you restart KDE after arts has been 
updated. 
 
Comment 28 Tom London 2005-11-28 09:28:46 EST
Ummm.... I don't have KDE installed on my machine.

What do I do?  What is the workaround?
Comment 29 Ngo Than 2005-11-29 06:18:01 EST
in your case please restart your X 
Comment 30 Tom London 2005-11-29 09:38:25 EST
This doesn't appear to work.

I've rebooted, restarted X, and I still get: 

Creating link /home/tbl/.kde/socket-tlondon.
can't create mcop directory

when trying to set gaim sound prefs to 'automatic'.

Comment 31 Warren Togami 2005-12-03 13:08:15 EST
*** Bug 174841 has been marked as a duplicate of this bug. ***
Comment 32 Nicolas Mailhot 2005-12-04 12:38:23 EST
*** Bug 174933 has been marked as a duplicate of this bug. ***
Comment 33 Warren Togami 2005-12-04 12:50:41 EST
*** Bug 174933 has been marked as a duplicate of this bug. ***
Comment 34 Warren Togami 2005-12-05 13:05:52 EST
*** Bug 175001 has been marked as a duplicate of this bug. ***
Comment 35 Andre Robatino 2005-12-17 20:58:43 EST
  The Dec. 17 arts-1.5.0-0.1.fc4 update seems to prevent Maelstrom from running:

[andre@localhost ~]$ Maelstrom
Creating link /home/andre/.kde/socket-localhost.localdomain.
can't create mcop directory
[andre@localhost ~]$

  Restarting X didn't help.
Comment 36 Andre Robatino 2005-12-17 21:00:21 EST
  Forgot to mention that I do NOT have KDE installed.
Comment 37 Tom London 2005-12-17 21:57:30 EST
Is this the same as https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=158540 ?

If so, this is a bug in libao.

Anyone know which?  How to fix?

[The workaround suggested in comment #25
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=169631#c25) works for me.
Comment 38 sguazt 2005-12-18 04:55:45 EST
I have similar problem.
After upgrading to arts-1.5.0-0.1.fc4 (and KDE 3.5) my sound system is unstable.
I usually do not use artsd and KDE, but yesterday I wanted to try the new KDE 3.5.
After that everytime I run "timidity" I get:

  Creating link /home/foobar/.kde/socket-entropy.
  can't create mcop directory

even if I run it as:
> timidity -h
> timidity -Os file.mid
[-Os stands for "use alsa device"]
> SDL_AUDIODRIVER=alsa timidity -h
[this try to apply workaround suggested in comment #25]

The strange thing is "aplaymidi" and "kmid" don't issue any error but no sound
is emitted!

Before updating to new arts/KDE all worked.
Comment 39 Bill R Williams 2005-12-18 17:56:36 EST
Similar problem: 17 Dec 2005 yum update on FC4 updated KDE stuff and arts.
I normally run GNOME, and I noticed problems when 'bzflag' failed to launch.
Running 'bzflag' in terminal window gave similar messages:
        Creating link /home/foobar/.kde/...
        can't create mcop directory
When I logged out of my "usual" account and logged into my
experimental account which *does* run kde, I ran 'bzflag'.  It ran,
but the so-called sound was just clicking noises.
Prior to the aforementioned updates, 'bzflag' worked flawlessly in
either account.
Comment 40 Robbie Barnett 2005-12-18 19:05:44 EST
Same problem using the 1.5.0 arts driver for ogg123.

Example:
ogg123 example.mp3
Creating link /home/joebloggs/.kde/socket-joescomputer.
can't create mcop directory

Workaround:
ogg123 -d alsa09 example.mp3



Note:
The author has made a statement about maintainence of the project at
http://www.arts-project.org/
Comment 41 Ngo Than 2005-12-19 13:23:36 EST
i have found the bug, it should be fixed in next rebuild
Comment 42 Warren Togami 2005-12-19 18:44:07 EST
*** Bug 176132 has been marked as a duplicate of this bug. ***
Comment 43 Warren Togami 2005-12-19 22:34:22 EST
*** Bug 176081 has been marked as a duplicate of this bug. ***
Comment 44 Warren Togami 2005-12-19 22:34:35 EST
*** Bug 176082 has been marked as a duplicate of this bug. ***
Comment 45 Warren Togami 2005-12-20 16:03:25 EST
*** Bug 176241 has been marked as a duplicate of this bug. ***
Comment 46 Peter Lawler 2005-12-20 16:29:30 EST
just to re-iterate #40 arts is no longer maintained upstream

http://www.arts-project.org/doc/arts-maintenance.html
Comment 47 Warren Togami 2005-12-20 16:55:54 EST
This must be fixed in FC4 now.
Comment 48 Mark Doliner 2005-12-20 20:06:07 EST
Just confirming that this does indeed still crash on FC4 as of Tuesday night,
December 20.
Comment 49 Ngo Than 2005-12-21 05:52:44 EST
Warren, why did you reopen this bug again? Does the new package arts-1.5.0-1 in
rawhide not fix this Problem? I need feedback before i build it in FC4!

Could someone please verify this fix? Thanks

Comment 50 Tom London 2005-12-21 09:14:33 EST
Running rawhide; works for me.
Comment 51 Nicolas Mailhot 2005-12-21 09:34:09 EST
works for me too

This is a rawhide boog, if people care about FC4 they should open a FC4 issue
Comment 52 David A. Cafaro 2005-12-21 09:36:33 EST
I created an FC4 issue (boog 176132), and it was subsequently marked as a
duplicate of this by the powers that be.  So we all got lumped into your boog ;-).
Comment 53 Fedora Update System 2005-12-21 11:16:29 EST
From User-Agent: XML-RPC

arts-1.5.0-0.2.fc4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 54 Andre Robatino 2005-12-21 12:27:08 EST
  When running Maelstrom with arts-1.5.0-0.2.fc4, I get the following output:

[andre@localhost ~]$ Maelstrom
Creating link /home/andre/.kde/socket-localhost.localdomain.
Created link from "/home/andre/.kde/socket-localhost.localdomain" to
"/tmp/ksocket-andre"
- server format: sample rate = 48000 Hz
- server format: sample rate = 48000 Hz
ALSA lib pcm_dmix.c:832:(snd_pcm_dmix_open) unable to open slave
[andre@localhost ~]

  The sound works, but I don't know what to make of the last line.
Comment 55 Robbie Barnett 2005-12-21 16:22:25 EST
Resolution: arts-1.5.0-0.2.fc4

The arts driver for ogg123 in FC4 now works
arts now sucessfully creates a link to /tmp
I've noticed that the update is yet to trickle down to all mirror sites (might
take a few days), but it should be soon enough to play some Christmas carols.

Thanks for your prompt response and resolution.
Comment 56 David A. Cafaro 2005-12-21 16:41:10 EST
Updated arts seems to have corrected gaim crashes in FC4.  Thanks much for
fixing this.
Comment 57 Pasi Sarolahti 2005-12-21 17:09:57 EST
*** Bug 176368 has been marked as a duplicate of this bug. ***
Comment 58 Mark Doliner 2005-12-21 21:49:52 EST
Confirmed that the updated package fixes the crash in FC4 for me, too.  Thanks
Comment 59 Jerry 2005-12-21 22:30:47 EST
Likewise here for FC4, bug fixed.

Note You need to log in before you can comment on or make changes to this bug.